unit XDOM_3_1_Reg;

  {$IFDEF WIN32}
    {$IFNDEF VER140}
      {$DEFINE MSWINDOWS}
    {$ENDIF}
  {$ENDIF}
  {$IFDEF WIN16}
    {$DEFINE MSWINDOWS}
  {$ENDIF}
  {$IFDEF VER140}
    {$DEFINE VER140+}
  {$ENDIF}
  {$IFDEF VER150}
    {$DEFINE VER140+}
  {$ENDIF}
  {$IFDEF VER160}
    {$DEFINE VER140+}
  {$ENDIF}
  {$IFDEF VER170}
    {$DEFINE VER140+}
  {$ENDIF}

interface
uses
  {$IFDEF MSWINDOWS}
    {$IFDEF VER140+} DesignIntf, DesignEditors,  // Delphi 7
    {$ELSE} DsgnIntf, {$ENDIF}
  {$ENDIF}
  {$IFDEF LINUX}
    DesignIntf, DesignEditors,
  {$ENDIF}
  XDOM_3_1_property_editor, XDOM_3_1, Classes;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('XDOM 3.1',[TDomImplementation,
                                 TStandardResourceResolver,
                                 TXmlToDomParser,
                                 TDomToXmlParser,
                                 TDtdToDtdModelParser,
                                 TXmlStandardDocReader,
                                 TXmlStandardDtdReader,
                                 TXmlStandardDomReader,
                                 TXmlStandardHandler,
                                 TXmlDistributor,
                                 TXmlWFTestHandler,
                                 TXmlNamespaceSignalGenerator,
                                 TXmlDomBuilder,
                                 TXmlDtdModelBuilder,
                                 TXmlStreamBuilder,
                                 TXPathExpression ]);
  RegisterPropertyEditor(TypeInfo(TXmlHandlers), TXmlDistributor, '', THandlerListProperty);
end;

end.
